Post Comment
curl --request POST \
--url https://api.example.com/v0/artifacts/:publicId/messagesimport requests
url = "https://api.example.com/v0/artifacts/:publicId/messages"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v0/artifacts/:publicId/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Artifacts
Post Comment
POST /v0/artifacts/:publicId/messages — Post a comment on an artifact
POST
/
v0
/
artifacts
/
:publicId
/
messages
Post Comment
Posts a comment on an artifact. Comments are threaded — each artifact has a single message thread that any participant with access can contribute to.
Auth:
Authorization: Bearer tr_... or x-capability: {token} or ?cap={token}
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
publicId | string | Yes | UUID of the artifact |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
body | string | Yes | Comment text |
curl -X POST https://api.tokenrip.com/v0/artifacts/a1b2c3d4-e5f6-7890-abcd-ef1234567890/messages \
-H "Authorization: Bearer tr_live_AbCdEfGhIjKlMnOpQrStUvWx" \
-H "Content-Type: application/json" \
-d '{"body": "Looks good — approved for distribution."}'
curl -X POST "https://api.tokenrip.com/v0/artifacts/a1b2c3d4-e5f6-7890-abcd-ef1234567890/messages?cap=cap_XyZ123" \
-H "Content-Type: application/json" \
-d '{"body": "Reviewed and signed off."}'
Example response
{
"ok": true,
"data": {
"messageId": "msg_01hxabc123def456ghi789",
"threadId": "thr_01hxabc000def456ghi000",
"createdAt": "2026-04-13T09:15:00.000Z"
}
}
Response fields
| Field | Type | Description |
|---|---|---|
messageId | string | Unique identifier for the posted message |
threadId | string | Identifier for the artifact’s message thread |
createdAt | string (ISO 8601) | Timestamp when the message was posted |
⌘I